QGIS Application - Bug report #12827
Wrong length calculation from Python with new geometry classes
2015-05-26 08:02 AM - Alexander Bruy

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20922
Description

Method length() of the QgsGeometry class now returns wrong length (namely, 1.0) for line features when used from Python. In same time
identify tool and field calculator returns correct values.

Tested with two linear layers, one in projected CRS and second in geographical CRS, using next code:
| = iface.mapCanvas().currentLayer()
for f in l.getFeatures():
print f.geometry().length()

Same code return correct values with QGIS 2.8

Tested under Linux, self-compiled QGIS master 13d67¢c0

Associated revisions

Revision e295c1fb - 2015-06-01 11:37 PM - Nyall Dawson

Fix geometry length and area calculation (fix #12827)

History

#1 - 2015-05-26 11:57 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master
- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

#2 - 2015-06-01 02:38 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e295¢1fbb7b6e68e0d0088e50280950b39a2d942".
